Subject: Re: [kernel.org users] [RFD] On deprecating "git-foo" for builtins

From: "H. Peter Anvin" <[email-masked]>
Date: Wed, 27 Aug 2008 07:49:31 -0700

Jay Soffian wrote:
> On Tue, Aug 26, 2008 at 5:03 PM, Jeff King <[email-masked]> wrote:
>> I was slightly negative on the change at the time of "/usr/bin vs
>> /usr/libexec/git-core" and I planned to put "git --exec-path" in my
>> PATH. But I gave the new way a try, and I have not been very bothered.
>> So let me say that I really don't care much what happens with libexec,
>> and you can hold me to that when the next flame-war breaks out if such a
>> change is implemented. Now you have three opinions. :)
> 
> +1 on removing the links and I will say this: this change finally
> motivated me to switch my login shell from tcsh (12 years I've been
> using it!) to bash so I could use the completions and I'm happier for
> it. So thank you git. :-)
> 

Speaking as a tcsh user, I'm not switching until bash gets the 
equivalent functionality as tcsh aliases, in particular the ability to 
selectively disable wildcard expansion on a command-by-command basis.

	-hpa